/*
  But : Contrôler les informations pour le login
  Auteur : Maxime Commergnat
  Date :   20.06.2021 / V1.0 
*/
class LoginCtrl {
  constructor() {
    // Ajouter l'écouteur sur le bouton
    $("#login-valider").click(() => {
      this.validerRecaptchaV2();
    });
  }

  // Vérifie si le captcha est disponible
  validerRecaptchaV2() {
    let verifyCallback = function (response) {
      alert(response);
    };

    // Va faire un rendu du captcha dans le document pour qu'il soit afficher
    let onloadCallback = function () {
      grecaptcha.render("g-captcha", {
        sitekey: "6LcOGEgUAAAAAOxXmBVgxxxxxx",
        callback: verifyCallback,
      });
    };

    //  Vérifie si le captcha à été rempli
    let reponse = grecaptcha.getResponse();
    if (reponse != 0) {
      this.validerUtilisateur();
    } else {
      alert("On dirait que vous êtes un robot !");
    }
  }

  // Récupère les informations disponible sur le formulaire de login
  validerUtilisateur() {
    let usernameForm = document.getElementById("username");
    let passwordForm = document.getElementById("password");

    let identifiant = {
      username: usernameForm.value,
      password: passwordForm.value,
    };

    service.login(identifiant, this.OKLogin);
  }

  // Vérifie si le login a été validé
  OKLogin(data) {
    console.log(data);
    if (data.includes("pasTrouve")) {
      alert("Vos identifications sont incorrectes !!!\nVeuillez réessayer...");
    } else {
      indexCtrl.loadAnimeSearch();
    }
  }
}
